Bug 27455 - Add focus to branch code when a new library is added
Summary: Add focus to branch code when a new library is added
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Ava
QA Contact: Kyle M Hall
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2021-01-17 16:08 UTC by Katrin Fischer
Modified: 2021-04-30 08:59 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27455: Add focus to branch code when a new library is added (1.23 KB, patch)
2021-01-19 01:42 UTC, Ava
Details | Diff | Splinter Review
Bug 27355: Add focus to branch code when a new library is added (1.29 KB, patch)
2021-01-19 11:33 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 27355: Add focus to branch code when a new library is added (1.37 KB, patch)
2021-01-21 16:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27455: Add focus to branch code when a new library is added (1.35 KB, patch)
2021-03-13 15:14 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27455: (follow-pu) Switch form JavaScript to focus class (1.66 KB, patch)
2021-03-13 15:14 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27455: Add focus to branch code when a new library is added (1.40 KB, patch)
2021-03-15 14:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27455: (follow-pu) Switch form JavaScript to focus class (1.71 KB, patch)
2021-03-15 14:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27455: (follow-up) Add automatic focus to library name when editing (1.49 KB, patch)
2021-03-15 14:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27455: Add focus to branch code when a new library is added (1.46 KB, patch)
2021-03-21 12:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27455: (follow-up) Switch form JavaScript to focus class (1.77 KB, patch)
2021-03-21 12:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27455: (follow-up) Add automatic focus to library name when editing (1.54 KB, patch)
2021-03-21 12:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27455: Add focus to branch code when a new library is added (1.57 KB, patch)
2021-04-23 17:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27455: (follow-up) Switch form JavaScript to focus class (1.93 KB, patch)
2021-04-23 17:17 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27455: (follow-up) Add automatic focus to library name when editing (1.66 KB, patch)
2021-04-23 17:17 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-01-17 16:08:44 UTC
When a new library is added it would be helpful if the focus would be in the first field of the form: branch code

See bug 27192 for a rather similar one.
Comment 1 Ava 2021-01-19 01:42:38 UTC
Created attachment 115278 [details] [review]
Bug 27455: Add focus to branch code when a new library is added

TEST PLAN:
From the koha home, go to administration, go to Libraries which is under
Basic parameters. Click +New library the focus should go to the first
field of the form (library/branch code) the patch has worked.
Comment 2 PTFS Europe Sandboxes 2021-01-19 11:33:33 UTC
Created attachment 115305 [details] [review]
Bug 27355: Add focus to branch code when a new library is added

TEST PLAN:
From the koha home, go to administration, go to Libraries which is under
Basic parameters. Click +New library the focus should go to the first
field of the form (library/branch code) the patch has worked.

https://bugs.koha-community.org/show_bug.cgi?id=27455

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Sally 2021-01-19 11:33:51 UTC
Works as described.
Comment 4 Kyle M Hall 2021-01-21 16:11:18 UTC
Created attachment 115571 [details] [review]
Bug 27355: Add focus to branch code when a new library is added

TEST PLAN:
From the koha home, go to administration, go to Libraries which is under
Basic parameters. Click +New library the focus should go to the first
field of the form (library/branch code) the patch has worked.

https://bugs.koha-community.org/show_bug.cgi?id=27455

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Jonathan Druart 2021-01-22 13:08:11 UTC
1. Bug number is wrong
2. Focus must be put using the "focus" class instead.
Comment 6 Katrin Fischer 2021-03-13 15:14:41 UTC
Created attachment 118217 [details] [review]
Bug 27455: Add focus to branch code when a new library is added

TEST PLAN:
From the koha home, go to administration, go to Libraries which is under
Basic parameters. Click +New library the focus should go to the first
field of the form (library/branch code) the patch has worked.

https://bugs.koha-community.org/show_bug.cgi?id=27455

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Katrin Fischer 2021-03-13 15:14:46 UTC
Created attachment 118218 [details] [review]
Bug 27455: (follow-pu) Switch form JavaScript to focus class
Comment 8 Owen Leonard 2021-03-15 14:50:54 UTC
Created attachment 118237 [details] [review]
Bug 27455: Add focus to branch code when a new library is added

TEST PLAN:
From the koha home, go to administration, go to Libraries which is under
Basic parameters. Click +New library the focus should go to the first
field of the form (library/branch code) the patch has worked.

https://bugs.koha-community.org/show_bug.cgi?id=27455

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 9 Owen Leonard 2021-03-15 14:50:58 UTC
Created attachment 118238 [details] [review]
Bug 27455: (follow-pu) Switch form JavaScript to focus class

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 10 Owen Leonard 2021-03-15 14:51:02 UTC
Created attachment 118239 [details] [review]
Bug 27455: (follow-up) Add automatic focus to library name when editing
Comment 11 Katrin Fischer 2021-03-21 12:45:46 UTC
Created attachment 118561 [details] [review]
Bug 27455: Add focus to branch code when a new library is added

TEST PLAN:
From the koha home, go to administration, go to Libraries which is under
Basic parameters. Click +New library the focus should go to the first
field of the form (library/branch code) the patch has worked.

https://bugs.koha-community.org/show_bug.cgi?id=27455

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Katrin Fischer 2021-03-21 12:45:50 UTC
Created attachment 118562 [details] [review]
Bug 27455: (follow-up) Switch form JavaScript to focus class

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Katrin Fischer 2021-03-21 12:45:54 UTC
Created attachment 118563 [details] [review]
Bug 27455: (follow-up) Add automatic focus to library name when editing

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Kyle M Hall 2021-04-23 17:16:50 UTC
Created attachment 120125 [details] [review]
Bug 27455: Add focus to branch code when a new library is added

TEST PLAN:
From the koha home, go to administration, go to Libraries which is under
Basic parameters. Click +New library the focus should go to the first
field of the form (library/branch code) the patch has worked.

https://bugs.koha-community.org/show_bug.cgi?id=27455

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 15 Kyle M Hall 2021-04-23 17:17:03 UTC
Created attachment 120126 [details] [review]
Bug 27455: (follow-up) Switch form JavaScript to focus class

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 16 Kyle M Hall 2021-04-23 17:17:06 UTC
Created attachment 120127 [details] [review]
Bug 27455: (follow-up) Add automatic focus to library name when editing

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 17 Jonathan Druart 2021-04-27 14:25:39 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 18 Fridolin Somers 2021-04-30 08:59:28 UTC
Enhancement not pushed to 20.11.x